package org.logical_paradox.rss.router;

/**
 * SiteLockSyncElement
 * 探索ロックを経路決定ノード〜経路ナビゲータ間で同期させるための，差分情報
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.3 $
 */
public class SiteLockSyncElement extends SiteLock {
	/** シリアルバージョンUID */
	private static final long serialVersionUID = -1014550869966831479L;
	public static final int SYNC_LOCK = 1;				// 差分情報の種類 - ロック取得
	public static final int SYNC_UNLOCK = 2;			// 差分情報の種類 - ロック解除

	private int _diffkind = SYNC_LOCK;

	/**
	 * コンストラクタ．
	 */
	public SiteLockSyncElement(String dn, String id ) {
		super(dn, id );
	}

	public SiteLockSyncElement(SiteLock l, int k ) {
		super(l.getSiteName(), l.getRobotId() );

		// オブジェクトの状態をコピー
		gc = l.gc;
		lastUpdateTime = l.lastUpdateTime;

		_diffkind = k;
	}

	public void setDiffKind(int dk) {
		_diffkind = dk;
	}
	public int getDiffKind() {
		return _diffkind;
	}
}
